Katello - Bug #6646

promoting a CV to next env when a promotion already ongoing for another env, raised ISE error in
production.log

07/16/2014 01:44 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1104104 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/444
7
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1104104
Description of problem:
| created environments for promoting CV's: like

Library-->dev--> test

| created a CV and published it to 'Library' env. And later | promoted it to next env "dev". So when the promotion was on-going for
"dev", | tried to promote same CV to next env "test". And Ul throws following error:

Required lock is already taken by other running tasks. Please inspect their state, fix their errors nad resume them. Required lock:
read Conflicts with tasks: - https://dhcp207-55.1ab.eng.png.redhat.com/foreman_tasks/tasks/595cf53f-1daa-4d4a-91ff-d7331eb492e5

| know that its expected since a promotion is already on-going. But | think we should make the error message more clear?
OR

we should disable the promote button when a promotion is already on-going ?

AND

In any case, "Internal server Error" shouldn't be thrown in production.log

Version-Release number of selected component (if applicable):
sat6 beta sanp7 compose2 (Satellite-6.0.3-RHEL-6-20140528.4)

How reproducible:
always

Steps to Reproduce:

1. create env for promoting CV's: like

Library-->dev--> test

2. create a CV and publish it

3. Now promote it to next env "dev"

4. when promotion to "dev" is ongoing, again try to promote and select env "test"

Actual results:

Ul throws:

Required lock is already taken by other running tasks. Please inspect their state, fix their errors nad resume them. Required lock:
read Conflicts with tasks: - https://dhcp207-55.1ab.eng.png.redhat.com/foreman_tasks/tasks/595¢f53f-1daa-4d4a-91ff-d7331eb492e5

500 Internal Server Error in production.log

Expected results:
1. In any case, "Internal server Error" shouldn't be thrown in production.log
2. The raised message should be more clear from end user perspective. Promotion to "env" is already in-progress, please wait until
the current promotion is finished..somthing like this ?
3. The best would be, disable the promote button when a promotion is already on-going ?

Additional info:

Associated revisions

Revision 80b462fc - 07/16/2014 05:13 PM - Brad Buckingham
fixes #6646 / BZ 1104104 - Content View - disable version promote/remove during publish/promote

This commit addresses 2 issues:

1. when a version is being published, disable the promote/remove links on that version
2. when a version is being promoted, disable the promote/remove links on that version

Revision ff95a9e9 - 07/16/2014 05:13 PM - Brad Buckingham
fixes #6646 / BZ 1104104 - Content View - disable version promote/remove during publish/promote
This commit addresses 2 issues:

1. when a version is being published, disable the promote/remove links on that version
2. when a version is being promoted, disable the promote/remove links on that version

Revision cfabc89f - 07/17/2014 12:35 PM - Brad Buckingham

Merge pull request #4447 from bbuckingham/issue-6646

fixes #6646 / BZ 1104104 - Content View - disable version promote/remove during publish/promote
Revision 9ae15531 - 07/17/2014 12:35 PM - Brad Buckingham

Merge pull request #4447 from bbuckingham/issue-6646

fixes #6646 / BZ 1104104 - Content View - disable version promote/remove during publish/promote

History

#1 - 07/16/2014 01:48 PM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/16/2014 05:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4447 added
- Pull request deleted ()

#3 - 07/17/2014 01:01 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|80b462fcff89809b9826ed4d6b9f34cfaa5556¢d.

#4 - 08/22/2014 09:22 AM - Eric Helms

- translation missing: en.field_release set to 13
